use crate::{Instance, Handle};

#[derive(Clone)]
pub struct ArrayData {
    pub class:u32,
    pub data:Vec<Handle>,
}

pub struct Array<'a> {
    pub(crate) instance:&'a mut Instance,
    pub(crate) target:usize,
}
impl<'a> Array<'a> {
    pub fn tag() -> u32 { 0x21 }
    
}
