use crate::{Instance, Szun};

#[derive(Clone)]
pub struct SparseData {
    pub class:u32,
    pub data:stdu::Sparse<Szun>,
}

pub struct Sparse<'a> {
    pub(crate) instance:&'a mut Instance,
    pub(crate) target:usize,
}
impl<'a> Sparse<'a> {
    pub fn tag() -> u32 { 0x23 }
    
}
